Bug 32402 - Install of server crash
Install of server crash
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-20 10:57 EST by Gary W. Rohn
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-21 14:09:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gary W. Rohn 2001-03-20 10:57:49 EST
Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", line 20, in run
    rc = self.todo.doInstall ()
 
Install of server configuration produced the following error text while installing RH-7.0 from CD created from ISO file downloaded 3/1/2001.

 File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1664, in doInstall
    self.x.write (self.instPath + "/etc/X11")
  File 
"/var/tmp/anaconda-7.0.1//usr/lib/anaconda/xf86config.py", line 895, in write
    config4 = self.Version4Config ()
  File 
"/var/tmp/anaconda-7.0.1//usr/lib/anaconda/xf86config.py", line 1173, in Version4Config
    info["enableVariant"] = ""
NameError: info

Local 
variables in innermost frame:
data: {'screenModes': '\012\011Subsection "Display"\012        \011Depth       8\012                Modes       
"640x480" \012\011EndSubsection\012', 'videoRam': '', 'pex5Mod': '\012\011Load "pex5"', 'XkbModel': 'pc104', 'monitorVert': '60', 'mouseDevice': 
'psaux', 'cardVendor': 'S3 Trio64 (generic)', 'cardsOptions': '\011# no known options', 'XkbRules': 'xfree86', 'cardBoardName': 'S3 Trio64 (generic)', 
'ia64Mods': '', 'XkbLayout': 'us', 'nonSparcMods': '\012\011Load "fbdevhw"', 'defaultDepth': '', 'XkbOptions': '', 'cardID': 'S3 Trio64 (generic)', 
'emulate3': 'yes', 'enableOptions': '#', 'monitorHoriz': '31.5', 'enableVariant': '#', 'XkbVariant': 'nodeadkeys', 'mouseProto': 'PS/2', 'files': '\012# The 
location of the RGB database.  Note, this is the name of the\012# file minus the extension (like ".txt" or ".db").  There is normally\012# no need 
to change the default.\012\012    RgbPath\011"/usr/X11R6/lib/X11/rgb"\012\012# Multiple FontPath entries are allowed (they are concatenated 
together)\012# By default, Red Hat 6.0 and later now use a font server independent of\012# the X server to render fonts.\012\012    FontPath   
"/usr/X11R6/lib/X11/fonts/TrueType"\012    FontPath   "unix/:7100"\012'}
self: <xf86config.XF86Config instance at 829c458>
maxdepth: 8
res: 
640x480
test: 0
mouseProto: PS/2
emulate3: yes
modes: ['640x480']
depth: 8
screens: 
	Subsection "Display"
        	Depth       8
     
           Modes       "640x480" 
	EndSubsection


ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>
Comment 1 Michael Fulbright 2001-03-21 14:09:17 EST
This has been fixed in the internal tree.

Note You need to log in before you can comment on or make changes to this bug.